#include <iostream>
#include <cmath>

using namespace std;

int IsOst(int a, int b) {
    if (a % b != 0) {
        return 1;
    }
    else {
        return 0;
    }
}

int main() {
    int m, n, k;
    cin >> m >> n >> k;
    cout << ((m / k) + IsOst(m, k)) * ((n / k) + IsOst(n, k));
}